'use strict';

// Define constants.
/** @override @constant {Array<Object<String,Object>>} Configurations for each enemy type */
Enemy.prototype.TYPES = [
	{
		spriteSheet: 'images/game/enemy1_small2.png',
		spriteWidth: 189.33,
		spriteHeight: 258.72,
		bottomOffset: 0,
		hitboxX: -10,
		hitboxY: 150,
		hitboxWidth: 142,
		hitboxHeight: 50,
		walkAnimLength: 10,
		deathAnimLength: 10,
		frameRateMultiplier: .5,
		maxHealth: 2,
		movement: ['linear', 'sinusoidal']
	}, {
		spriteSheet: 'images/game/enemy2_small2.png',
		spriteWidth: 189.33,
		spriteHeight: 258.72,
		bottomOffset: 0,
		hitboxX: -10,
		hitboxY: 150,
		hitboxWidth: 142,
		hitboxHeight: 50,
		walkAnimLength: 12,
		deathAnimLength: 12,
		frameRateMultiplier: .5,
		maxHealth: 2,
		movement: ['linear']
	}
];
