'use strict';

// Define constants.
/** @override @constant {String} The path from the game root to the sound effect for launching the projectile */
ShakeLauncher.prototype.LAUNCH_SOUND = 'audio/cannon.mp3';
/** @override @constant {Number} The width of each frame of the launcher animation */
ShakeLauncher.prototype.FRAME_WIDTH = 178;
/** @override @constant {Number} The height of each frame of the launcher animation */
ShakeLauncher.prototype.FRAME_HEIGHT = 89;
/** @override @constant {Number} The x-position of the launcher's rotation anchor point, from 0 to 1 */
ShakeLauncher.prototype.ROTATION_X = 0.1;
/** @override @constant {Number} The y-position of the launcher's rotation anchor point, from 0 to 1 */
ShakeLauncher.prototype.ROTATION_Y = 0.7;
/** @override @constant {Number} The end rotation of the launcher when it launches, in radians */
ShakeLauncher.prototype.LAUNCH_ROTATION = -0.08 * Math.TAU;
/** @override @constant {Number} The duration of the launch animation, in frames */
ShakeLauncher.prototype.LAUNCH_DURATION = 20;
