'use strict';

function Foreground(game) {
	Background.call(this, game, 1, 'fg');
	
	this._sprite.texture = TextureCache[this.SPRITES['fg']];
}
// Extend Background.
Foreground.prototype = Object.create(Background.prototype);

// Define constants.
Foreground.prototype.SPRITES = {
	fg: 'images/game/fg.png'
};

/**
 * Bring the foreground back on top of the other sprites.
 */
Foreground.prototype.bringToFront = function () {
	game.app.stage.removeChild(this._sprite);
	game.app.stage.addChild(this._sprite);
};


Foreground.queueAssets = Background.queueAssets.bind(Foreground);
